xadcps: XAdcPs Struct Reference

| xadcps Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XAdcPs Struct Reference
Xadcps_v2_3

The driver's instance data. More...

## Data Fields
XAdcPs_Config | Config
| XAdcPs_Config of current device. More...
u32 | IsReady
| Device is initialized and ready. More...

## Detailed Description

The driver's instance data.

The user is required to allocate a variable of this type for every XADC/ADC device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XAdcPs_Config XAdcPs::Config

XAdcPs_Config of current device.

Referenced by XAdcPs_CfgInitialize(), XAdcPs_IntrClear(), XAdcPs_IntrDisable(), XAdcPs_IntrEnable(), XAdcPs_IntrGetEnabled(), and XAdcPs_IntrGetStatus().

u32 XAdcPs::IsReady

Device is initialized and ready.

Referenced by XAdcPs_CfgInitialize(), XAdcPs_DisableUserOverTemp(), XAdcPs_EnableUserOverTemp(), XAdcPs_GetAdcClkDivisor(), XAdcPs_GetAdcData(), XAdcPs_GetAlarmEnables(), XAdcPs_GetAlarmThreshold(), XAdcPs_GetAvg(), XAdcPs_GetCalibCoefficient(), XAdcPs_GetCalibEnables(), XAdcPs_GetConfigRegister(), XAdcPs_GetMinMaxMeasurement(), XAdcPs_GetMiscCtrlRegister(), XAdcPs_GetMiscStatus(), XAdcPs_GetPowerdownMode(), XAdcPs_GetSamplingMode(), XAdcPs_GetSeqAcqTime(), XAdcPs_GetSeqAvgEnables(), XAdcPs_GetSeqChEnables(), XAdcPs_GetSeqInputMode(), XAdcPs_GetSequencerMode(), XAdcPs_IntrClear(), XAdcPs_IntrDisable(), XAdcPs_IntrEnable(), XAdcPs_IntrGetEnabled(), XAdcPs_IntrGetStatus(), XAdcPs_Reset(), XAdcPs_SelfTest(), XAdcPs_SetAdcClkDivisor(), XAdcPs_SetAlarmEnables(), XAdcPs_SetAlarmThreshold(), XAdcPs_SetAvg(), XAdcPs_SetCalibEnables(), XAdcPs_SetConfigRegister(), XAdcPs_SetMiscCtrlRegister(), XAdcPs_SetMuxMode(), XAdcPs_SetPowerdownMode(), XAdcPs_SetSeqAcqTime(), XAdcPs_SetSeqAvgEnables(), XAdcPs_SetSeqChEnables(), XAdcPs_SetSeqInputMode(), XAdcPs_SetSequencerEvent(), XAdcPs_SetSequencerMode(), and XAdcPs_SetSingleChParams().